Bug 814249 - [RFE] for faster SSSD startup
Summary: [RFE] for faster SSSD startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-19 13:11 UTC by Dmitri Pal
Modified: 2020-05-02 16:51 UTC (History)
3 users (show)

Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Enhancement
Doc Text:
Do not document.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:23:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2345 0 None None None 2020-05-02 16:51:50 UTC
Red Hat Product Errata RHSA-2013:0508 0 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-04-19 13:11:07 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1303

SSSD appears to be taking more than 2+ seconds to start and be able to properly respond to queries in an IPA setup.  

I saw this in RHEL but, it was suggested that I open an RFE upstream.   The version I was using was 1.8.0-17.  This was seen on an IPA Master server.

Is it possible to speed this up without sacrificing something?

From Jakub Hrozek's explanation:
<snip>
SSSD first starts all the back ends (aka domains), then all services
including NSS and PAM. The problem is, that the SSSD IPA domains startup
is taking quite a long time. I added more debugging and it seems that
the biggest culprit is selecting the correct principal from keytab. With
all the debugging on (which admittedly slows things down quite a bit),
one pass of the principal selection function takes more than a second.
For some reason, we are calling the principal selection twice - I assume
that's for identity and authentication parts of the back end but I could
be wrong.
</snip>

Comment 1 RHEL Program Management 2012-07-10 06:12:50 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2012-07-11 02:05:51 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Kaushik Banerjee 2013-01-29 11:29:20 UTC
Marking as verified sanity only after all tests passed for version 1.9.2-82

Comment 5 errata-xmlrpc 2013-02-21 09:23:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.